- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: ba3bbdb6-fe57-4e0a-b662-528391c4bda6
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 69
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_5 == -1 || result_5 == 0) || result_5 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: 07ac4b15-93df-4b02-ba28-4abbac667048
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 70
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_5 == -1 || result_5 == 0) || result_5 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: daaacc90-9c3e-464b-914e-cb47b10955a4
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 71
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_5 == -1 || result_5 == 0) || result_5 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: 4dbb7802-414b-449f-ad7c-a3052eb4f52c
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 69
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_4 == -1 || result_4 == 0) || result_4 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: 4d20b14b-6d42-4e5b-984f-9917c4502b85
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 70
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_4 == -1 || result_4 == 0) || result_4 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: dd053a8e-e5c8-435a-a71c-64f2ca5270e1
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 71
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_4 == -1 || result_4 == 0) || result_4 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: d0fc828f-049b-4eb2-9563-27b805fd48c3
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 69
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_3 == -1 || result_3 == 0) || result_3 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: 2867c677-ab21-4a05-a57b-a6f09ae60e39
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 70
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_3 == -1 || result_3 == 0) || result_3 ==
      1)'
    type: assertion
    format: C
- entry_type: location_invariant
  metadata:
    format_version: "0.1"
    uuid: 9e9c36e2-46fb-4617-8b33-5aaa2b4317d0
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 71
    column: 3
    function: main
  location_invariant:
    string: '! multithreaded || ((result_3 == -1 || result_3 == 0) || result_3 ==
      1)'
    type: assertion
    format: C
- entry_type: ghost_variable
  metadata:
    format_version: "0.1"
    uuid: 11eed29c-9922-42a5-9f1f-a58b29e91d6c
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  variable: multithreaded
  scope: global
  type: int
  initial: "0"
- entry_type: ghost_update
  metadata:
    format_version: "0.1"
    uuid: 441ac1d9-065a-49fb-a17a-e09db1fc53a7
    creation_time: 2024-07-04T12:04:43Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-eval-0-gc0f14bbe0-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''mutex-meet'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  variable: multithreaded
  expression: "1"
  location:
    file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/chl-sre-subst.wvr.c
    file_hash: 3f15efb4f8a286b7a1ad39e3d0e5f0f11fbc70672e37c5d5b49fafb43ac86a5c
    line: 68
    column: 3
    function: main
